GDB (xrefs)

Classes | Macros | Enumerations
/tmp/gdb-8.1/gdb/moxie-tdep.h File Reference

Go to the source code of this file.

## Classes
struct | gdbarch_tdep

## Macros
#define | MOXIE_NUM_REGS 18

## Enumerations
enum | moxie_regnum { MOXIE_FP_REGNUM = 0, MOXIE_SP_REGNUM = 1, R0_REGNUM = 2, R1_REGNUM = 3, MOXIE_PC_REGNUM = 16, MOXIE_CC_REGNUM = 17, RET1_REGNUM = R0_REGNUM, ARG1_REGNUM = R0_REGNUM, ARGN_REGNUM = R1_REGNUM }

## Macro Definition Documentation

## ◆ MOXIE_NUM_REGS

#define MOXIE_NUM_REGS 18

Definition at line 41 of file moxie-tdep.h.

Referenced by moxie_alloc_frame_cache(), moxie_frame_cache(), moxie_gdbarch_init(), and moxie_register_name().

## Enumeration Type Documentation

## ◆ moxie_regnum

enum moxie_regnum

Enumerator
MOXIE_FP_REGNUM |
MOXIE_SP_REGNUM |
R0_REGNUM |
R1_REGNUM |
MOXIE_PC_REGNUM |
MOXIE_CC_REGNUM |
RET1_REGNUM |
ARG1_REGNUM |
ARGN_REGNUM |

Definition at line 28 of file moxie-tdep.h.